> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Jobs Estimated Salary

> Get estimated salary ranges for jobs based on title and location. Compensation insights are provided across multiple time periods, depending on data availability.

<ResponseExample>
  ```json 200 theme={null}

  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "parameters": {
      "job_title": "nodejs developer",
      "city": "new york",
      "country": "US"
    },
    "data": [
      {
        "location": "New York City, NY",
        "job_title": "Nodejs Developer",
        "min_salary": 117839.88,
        "max_salary": 195411.15,
        "median_salary": 150982.95,
        "min_base_salary": 96544.05,
        "max_base_salary": 155658.93,
        "median_base_salary": 122588.51,
        "min_additional_pay": 21295.83,
        "max_additional_pay": 39752.22,
        "median_additional_pay": 28394.44,
        "salary_period": "YEAR",
        "salary_currency": "USD",
        "salary_count": 7,
        "salaries_updated_at": "Apr 10, 2025 11:59 pm",
        "publisher_name": "Glassdoor",
        "publisher_link": "https://www.glassdoor.com/Salaries/company-salaries.htm?suggestCount=0&suggestChosen=false&sc.keyword=Nodejs%20Developer&locT=C&locId=1132348",
        "confidence": "CONFIDENT"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/jobs-estimated-salary
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/jobs-estimated-salary:
    get:
      tags:
        - Workflow
      description: Triggers the workflow jobs-estimated-salary
      operationId: get_wf_jobs-estimated-salary
      parameters:
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
        - name: job_title
          in: query
          required: true
          description: Job title for which to get salary estimation.
          schema:
            type: string
            default: Accountant
        - name: city
          in: query
          required: true
          description: >-
            City name in which to get salary estimation, it accepts Free-form
            city name like `NY` or `New York`.
          schema:
            type: string
            default: New York
        - name: country
          in: query
          description: >-
            Country code in which to get salary estimation, Support all
            countries, it accepts two letter format like `us` `uk` `fr`.
            [Country List](/api-reference/other/countries)
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````